API endpoint
https://phplens.lunatio.com/api/v1/projects
Request example
curl --location --request GET 'https://phplens.lunatio.com/api/v1/projects' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name for Name. Defaults to: name.
favorite
sort_by
id for Date created, name for Name. Defaults to: id.
sort
desc for Descending, asc for Ascending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://phplens.lunatio.com/api/v1/projects/{id}
Request example
curl --location --request GET 'https://phplens.lunatio.com/api/v1/projects/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://phplens.lunatio.com/api/v1/projects
Request example
curl --location --request POST 'https://phplens.lunatio.com/api/v1/projects' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}' \ --data-urlencode 'domain={domain}' \ --data-urlencode 'description={description}'
Parameters
name
domain
description
privacy
0 for Public, 1 for Private, 2 for Password.
password
privacy field set to 2.
email_reports
0 for Disabled, 1 for Enabled. Defaults to: 0.
API endpoint
https://phplens.lunatio.com/api/v1/projects/{id}
Request example
curl --location --request PUT 'https://phplens.lunatio.com/api/v1/projects/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
name
description
privacy
0 for Public, 1 for Private, 2 for Password.
password
privacy field set to 2.
email_reports
0 for Disabled, 1 for Enabled. Defaults to: 0.
API endpoint
https://phplens.lunatio.com/api/v1/projects/{id}
Request example
curl --location --request DELETE 'https://phplens.lunatio.com/api/v1/projects/{id}' \ --header 'Authorization: Bearer {api_key}'